=== debian/changelog ===
metkit (1.6.0-3) unstable; urgency=medium

  * Add B-D on libodc-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Nov 2020 11:24:35 +0000

metkit (1.6.0-2) unstable; urgency=medium

  * libmetkit-data conflicts with libodb-api-data
  * Build-depend on eccodes and tools
  * Add B-D on libnetcdf-dev, libopenjp2-7-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Oct 2020 11:27:23 +0000

metkit (1.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #972624)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Oct 2020 15:19:57 +0100
