=== debian/control ===
Source: metkit
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (=13),
 ecbuild (>= 3.3.0-3),
 gfortran | fortran-compiler, 
 libeckit-dev,
 libodc-dev,
 libeccodes-dev,
 libeccodes-tools,
 libnetcdf-dev,
 libopenjp2-7-dev
Standards-Version: 4.5.0
Homepage: https://github.com/ecmwf/metkit
Vcs-Browser: https://salsa.debian.org:/science-team/metkit.git
Vcs-Git: https://salsa.debian.org:/science-team/metkit.git -b debian/latest

Package: libmetkit0d
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libmetkit-data
Description: Library for Meteorology tookit, implementing MARS language
 MetKit is a toolkit from ECMWF for manipulating and describing 
 meteorological objects, implementing the MARS language and associated 
 processing and semantics.
 MARS is the Meteorological Archive Retrieval System from ECMWF.

Package: libmetkit-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: libodb-api-data
Description: Data used by the ECMWF Metkit Library
 MetKit is a toolkit from ECMWF for manipulating and describing 
 meteorological objects, implementing the MARS language and associated 
 processing and semantics.
 .
 This package contains data used by Metkit

Package: libmetkit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmetkit0d (= ${binary:Version}), 
  ${misc:Depends}, libeckit-dev
Replaces: libodb-api-dev
Conflicts: libodb-api-dev
Recommends: pkg-config
Description: Development files for the Metkit toolkit
 MetKit is a toolkit from ECMWF for manipulating and describing 
 meteorological objects, implementing the MARS language and associated 
 processing and semantics.
 .
 This package provides shared libraries and headers.

Package: libmetkit-utils
Multi-Arch: foreign
Architecture: any
Depends: libmetkit0d ( = ${binary:Version}), 
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libmetkit-dev (= ${binary:Version})
Description: Utilities for the MetKit MARS access library
 MetKit is a toolkit from ECMWF for manipulating and describing 
 meteorological objects, implementing the MARS language and associated 
 processing and semantics.
 .
 This package contains the tool 'parse-mars-request'
