## metkit 1.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,6 +65,8 @@
 ############################################################################################
 # sources
 
+include(cmake/compiler_warnings.cmake) # optionally handle compiler specific warnings
+
 add_subdirectory( src )
 add_subdirectory( share )
