=== debian/changelog ===
metkit (1.6.4-2) unstable; urgency=medium

  * Add Breaks/Replaces on old libodb-api-0d. Closes: #985117

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Mar 2021 11:18:49 +0000

metkit (1.6.4-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1
  * Add debian/watch file
  * Add d/gpb.conf pointing to DEP-14 branches

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Jan 2021 13:08:51 +0000

metkit (1.6.0-4) unstable; urgency=medium

  * Make dependency on libodc-dev conditional; fails on 32-bit archs

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 07 Nov 2020 12:23:11 +0000
