=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
  ecbuild (>= 3.3.0-3),
  gfortran | fortran-compiler, 
  libeckit-dev,
- libodc-dev,
+ libodc-dev [!powerpc !armel !armhf !i386 !mipsel],
+ odc [!powerpc !armel !armhf !i386 !mipsel],
  libeccodes-dev,
  libeccodes-tools,
  libnetcdf-dev,
  libopenjp2-7-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/ecmwf/metkit
 Vcs-Browser: https://salsa.debian.org:/science-team/metkit.git
 Vcs-Git: https://salsa.debian.org:/science-team/metkit.git -b debian/latest
@@ -21,6 +22,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, libmetkit-data
+Breaks: libodb-api-0d
+Replaces: libodb-api-0d
 Description: Library for Meteorology tookit, implementing MARS language
  MetKit is a toolkit from ECMWF for manipulating and describing 
  meteorological objects, implementing the MARS language and associated 
@@ -44,7 +47,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libmetkit0d (= ${binary:Version}), 
-  ${misc:Depends}, libeckit-dev
+  ${misc:Depends}, libeckit-dev,
+  libodc-dev [!powerpc !armel !armhf !i386 !mipsel]
 Replaces: libodb-api-dev
 Conflicts: libodb-api-dev
 Recommends: pkg-config
