=== debian/changelog ===
metkit (1.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 May 2021 07:05:58 +0100

metkit (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Add versioned build-dep on libeckit-dev >= 1.16.0-1~

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Mar 2021 16:35:19 +0000
