=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (=13),
  ecbuild (>= 3.3.0-3),
  gfortran | fortran-compiler, 
- libeckit-dev,
+ libeckit-dev (>= 1.16.0-1~),
  libodc-dev [!powerpc !armel !armhf !i386 !mipsel],
  odc [!powerpc !armel !armhf !i386 !mipsel],
  libeccodes-dev,
