## metkit 1.8.4

=== debian/changelog ===
metkit (1.8.4-1) unstable; urgency=medium

  * New upstream release
    * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Aug 2021 12:43:10 +0100
