=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libeccodes-tools,
  libnetcdf-dev,
  libopenjp2-7-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ecmwf/metkit
 Vcs-Browser: https://salsa.debian.org:/science-team/metkit.git
 Vcs-Git: https://salsa.debian.org:/science-team/metkit.git -b debian/latest
