## metkit 1.8.8

=== debian/changelog ===
metkit (1.8.8-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Dec 2021 09:52:57 +0000

metkit (1.8.4-2) unstable; urgency=medium

  * Build on 64-bit archs only, as we depend on 64-bit eckit

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Oct 2021 09:17:03 +0100
