=== tests/regressions/CMakeLists.txt ===
if (HAVE_BUILD_TOOLS) # test scripts use the metkit tools
    add_subdirectory(METK-89)
endif()
