=== debian/changelog ===
metkit (1.8.10-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Feb 2022 09:57:08 +0000
