=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 Package: libmetkit0d
 Section: libs
-Architecture: any
+Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, libmetkit-data
 Breaks: libodb-api-0d
@@ -44,7 +44,7 @@
 
 Package: libmetkit-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
 Multi-Arch: same
 Depends: libmetkit0d (= ${binary:Version}), 
   ${misc:Depends}, libeckit-dev,
@@ -61,7 +61,7 @@
 
 Package: libmetkit-utils
 Multi-Arch: foreign
-Architecture: any
+Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
 Depends: libmetkit0d ( = ${binary:Version}), 
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: libmetkit-dev (= ${binary:Version})
