## metkit 1.9.0

=== debian/changelog ===
metkit (1.9.0-1) unstable; urgency=medium

  * Initial bash completion script
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 05 Mar 2022 13:19:35 +0000
