## metkit 1.9.1

=== debian/changelog ===
metkit (1.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 May 2022 19:38:24 +0100
