## metkit 1.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -69,6 +69,7 @@
 
 add_subdirectory( src )
 add_subdirectory( share )
+add_subdirectory( tests )
 
 ############################################################################################
 # finalize
