## metkit 1.10.13

=== debian/changelog ===
metkit (1.10.13-2build1) mantic; urgency=medium

  * Rebuild against new eccodes drop on armhf and s390x.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2023 07:04:34 +0200

metkit (1.10.13-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 10:28:02 +0100

metkit (1.10.13-1) experimental; urgency=medium

  * New upstream release
  * Depend on eckit >= 1.23.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 May 2023 10:07:49 +0100

metkit (1.10.11-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 May 2023 14:19:55 +0100

metkit (1.10.9-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Apr 2023 10:43:50 +0100

metkit (1.10.8-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 25 Apr 2023 15:02:54 +0100

metkit (1.10.7-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Apr 2023 13:00:44 +0100

metkit (1.10.5-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2
  * Build-dep on ecbuild >= 3.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Apr 2023 09:28:26 +0100

metkit (1.10.4-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Mar 2023 08:24:28 +0000

metkit (1.10.3-1) experimental; urgency=medium

  * New upstream release
  * Now dep on  eckit >= 1.22.0-1~

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2023 12:05:25 +0000
