=== src/tools/CMakeLists.txt ===
--- 
+++ 
@@ -41,18 +41,21 @@
     SOURCES   parse-mars-request.cc
     INCLUDES  ${ECKIT_INCLUDE_DIRS}
     LIBS        metkit eckit_option eckit eccodes
+    NO_AS_NEEDED
 )
 
 ecbuild_add_executable( TARGET    odb-to-request
     SOURCES   odb-to-request.cc
     CONDITION HAVE_ODB AND HAVE_BUILD_TOOLS
     INCLUDES  ${ECKIT_INCLUDE_DIRS}
+    NO_AS_NEEDED
     LIBS      metkit eckit_option )
 
 ecbuild_add_executable( TARGET    bufr-sanity-check
     SOURCES   bufr-sanity-check.cc
-    CONDITION HAVE_BUILD_TOOLS
+    CONDITION HAVE_BUFR AND HAVE_BUILD_TOOLS
     INCLUDES  ${ECKIT_INCLUDE_DIRS}
+    NO_AS_NEEDED
     LIBS      metkit eckit_option )
 
 # ecbuild_add_executable( TARGET     ncmerge
