=== debian/changelog ===
metkit (1.10.14-1) unstable; urgency=medium

  * New upstream release 
  * Put include files in /usr/include/arch/ for multiarch-safe

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Aug 2023 09:15:51 +0100
