=== debian/control ===
Source: metkit
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (=13),
 ecbuild (>= 3.7.2-1~),
 gfortran | fortran-compiler,
 libeckit-dev (>= 1.23.1-1~),
 libodc-dev [!powerpc !armel !armhf !i386 !mipsel],
 odc [!powerpc !armel !armhf !i386 !mipsel],
 libeccodes-dev,
 libeccodes-tools,
 libnetcdf-dev,
 libopenjp2-7-dev
Standards-Version: 4.6.2
Homepage: https://github.com/ecmwf/metkit
Vcs-Browser: https://salsa.debian.org:/science-team/metkit.git
Vcs-Git: https://salsa.debian.org/science-team/metkit.git -b debian/latest

Package: libmetkit0d
Section: libs
Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libmetkit-data
Breaks: libodb-api-0d
Replaces: libodb-api-0d
Description: Library for Meteorology tookit, implementing MARS language
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 MARS is the Meteorological Archive Retrieval System from ECMWF.

Package: libmetkit-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: libodb-api-data
Description: Data used by the ECMWF Metkit Library
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 .
 This package contains data used by Metkit

Package: libmetkit-dev
Section: libdevel
Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
Multi-Arch: same
Depends: libmetkit0d (= ${binary:Version}),
  ${misc:Depends}, libeckit-dev,
  libodc-dev [!powerpc !armel !armhf !i386 !mipsel]
Replaces: libodb-api-dev
Conflicts: libodb-api-dev
Recommends: pkg-config
Description: Development files for the Metkit toolkit
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 .
 This package provides shared libraries and headers.

Package: libmetkit-utils
Multi-Arch: foreign
Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
Depends: libmetkit0d ( = ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libmetkit-dev (= ${binary:Version})
Description: Utilities for the MetKit MARS access library
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 .
 This package contains the tool 'parse-mars-request'
