=== debian/rules ===
--- 
+++ 
@@ -27,4 +27,3 @@
 
 override_dh_auto_test:
 	echo "Metkit fetches data from the internet, and hence the tests can't be run contained at build-time"
-
