## metkit 1.10.19

=== debian/changelog ===
metkit (1.10.19-1) unstable; urgency=medium

  * New upstream release
  * Explicitly depend on architecture-is-64-bit to limit archs

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Oct 2023 07:54:09 +0100

metkit (1.10.17-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Oct 2023 08:30:58 +0100

metkit (1.10.16-1) unstable; urgency=medium

  * New upstrem release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Oct 2023 08:50:45 +0100

metkit (1.10.15-2) unstable; urgency=medium

  * Drop 32-bit stuff from d/rules; we only build on 64-bit
  * Fix path of include dirs in metkit-config.cmake

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Sep 2023 11:48:07 +0100

metkit (1.10.15-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Sep 2023 15:24:03 +0100
