=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (=13),
+ architecture-is-64-bit,
  ecbuild (>= 3.7.2-1~),
  gfortran | fortran-compiler,
  libeckit-dev (>= 1.23.1-1~),
- libodc-dev [!powerpc !armel !armhf !i386 !mipsel],
- odc [!powerpc !armel !armhf !i386 !mipsel],
+ libodc-dev,
+ odc,
  libeccodes-dev,
  libeccodes-tools,
- libnetcdf-dev,
  libopenjp2-7-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/ecmwf/metkit
@@ -19,7 +19,7 @@
 
 Package: libmetkit0d
 Section: libs
-Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, libmetkit-data
 Breaks: libodb-api-0d
@@ -44,7 +44,7 @@
 
 Package: libmetkit-dev
 Section: libdevel
-Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
+Architecture: any
 Multi-Arch: same
 Depends: libmetkit0d (= ${binary:Version}),
   ${misc:Depends}, libeckit-dev,
@@ -61,7 +61,7 @@
 
 Package: libmetkit-utils
 Multi-Arch: foreign
-Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
+Architecture: any
 Depends: libmetkit0d ( = ${binary:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: libmetkit-dev (= ${binary:Version})
