## metkit 1.10.20

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -77,3 +77,4 @@
 # endif()
 
 add_subdirectory(regressions)
+add_subdirectory(marsgen)
