=== debian/changelog ===
metkit (1.10.20-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Nov 2023 17:26:21 +0000
